package com.ruoyi.project.reliability.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.reliability.mapper.TKkxglcsMapper;
import com.ruoyi.project.reliability.domain.TKkxglcs;
import com.ruoyi.project.reliability.service.ITKkxglcsService;

import javax.annotation.Resource;

/**
 * 可靠性管理措施Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-27
 */
@Service
public class TKkxglcsServiceImpl implements ITKkxglcsService
{
    @Resource
    private TKkxglcsMapper tKkxglcsMapper;

    /**
     * 查询可靠性管理措施
     *
     * @param id 可靠性管理措施ID
     * @return 可靠性管理措施
     */
    @Override
    public TKkxglcs selectTKkxglcsById(Long id)
    {
        return tKkxglcsMapper.selectTKkxglcsById(id);
    }

    /**
     * 查询可靠性管理措施列表
     *
     * @param tKkxglcs 可靠性管理措施
     * @return 可靠性管理措施
     */
    @Override
    public List<TKkxglcs> selectTKkxglcsList(TKkxglcs tKkxglcs)
    {
        return tKkxglcsMapper.selectTKkxglcsList(tKkxglcs);
    }

    /**
     * 新增可靠性管理措施
     *
     * @param tKkxglcs 可靠性管理措施
     * @return 结果
     */
    @Override
    public int insertTKkxglcs(TKkxglcs tKkxglcs)
    {
        return tKkxglcsMapper.insertTKkxglcs(tKkxglcs);
    }

    /**
     * 修改可靠性管理措施
     *
     * @param tKkxglcs 可靠性管理措施
     * @return 结果
     */
    @Override
    public int updateTKkxglcs(TKkxglcs tKkxglcs)
    {
        return tKkxglcsMapper.updateTKkxglcs(tKkxglcs);
    }

    /**
     * 批量删除可靠性管理措施
     *
     * @param ids 需要删除的可靠性管理措施ID
     * @return 结果
     */
    @Override
    public int deleteTKkxglcsByIds(Long[] ids)
    {
        return tKkxglcsMapper.deleteTKkxglcsByIds(ids);
    }

    /**
     * 删除可靠性管理措施信息
     *
     * @param id 可靠性管理措施ID
     * @return 结果
     */
    @Override
    public int deleteTKkxglcsById(Long id)
    {
        return tKkxglcsMapper.deleteTKkxglcsById(id);
    }
}
